Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.net.httpclient
Class MethodParams

    java.lang.Object
      org.apache.commons.httpclient.params.DefaultHttpParams
          org.apache.commons.httpclient.params.HttpMethodParams
              net.sf.antcontrib.net.httpclient.MethodParams

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, org.apache.commons.httpclient.params.HttpParams

    public class MethodParams

extends org.apache.commons.httpclient.params.HttpMethodParams

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.commons.httpclient.params.HttpMethodParams
`BUFFER_WARN_TRIGGER_LIMIT, COOKIE_POLICY, CREDENTIAL_CHARSET, DATE_PATTERNS, HEAD_BODY_CHECK_TIMEOUT, HTTP_CONTENT_CHARSET, HTTP_ELEMENT_CHARSET, MULTIPART_BOUNDARY, PROTOCOL_VERSION, REJECT_HEAD_BODY, RETRY_HANDLER, SINGLE_COOKIE_HEADER, SO_TIMEOUT, STATUS_LINE_GARBAGE_LIMIT, STRICT_TRANSFER_ENCODING, UNAMBIGUOUS_STATUS_LINE, USE_EXPECT_CONTINUE, USER_AGENT, VIRTUAL_HOST, WARN_EXTRA_INPUT`

Constructor Summary
`MethodParams()`

Method Summary
`void` | `addConfiguredBoolean(Params.BooleanParam param)`
`void` | `addConfiguredDouble(Params.DoubleParam param)`
`void` | `addConfiguredInt(Params.IntParam param)`
`void` | `addConfiguredLong(Params.LongParam param)`
`void` | `addConfiguredString(Params.StringParam param)`
`void` | `setStrict(boolean strict)`
`void` | `setVersion(java.lang.String version)`

Methods inherited from class org.apache.commons.httpclient.params.HttpMethodParams
`getContentCharset, getCookiePolicy, getCredentialCharset, getHttpElementCharset, getSoTimeout, getVersion, getVirtualHost, makeLenient, makeStrict, setContentCharset, setCookiePolicy, setCredentialCharset, setHttpElementCharset, setSoTimeout, setVersion, setVirtualHost`

Methods inherited from class org.apache.commons.httpclient.params.DefaultHttpParams
`clear, clone, getBooleanParameter, getDefaultParams, getDefaults, getDoubleParameter, getIntParameter, getLongParameter, getParameter, isParameterFalse, isParameterSet, isParameterSetLocally, isParameterTrue, setBooleanParameter, setDefaults, setDoubleParameter, setHttpParamsFactory, setIntParameter, setLongParameter, setParameter, setParameters`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MethodParams

    public MethodParams()

Method Detail

### setStrict

    public void setStrict(boolean strict)

### setVersion

    public void setVersion(java.lang.String version)

### addConfiguredDouble

    public void addConfiguredDouble(Params.DoubleParam param)

### addConfiguredInt

    public void addConfiguredInt(Params.IntParam param)

### addConfiguredLong

    public void addConfiguredLong(Params.LongParam param)

### addConfiguredString

    public void addConfiguredString(Params.StringParam param)

### addConfiguredBoolean

    public void addConfiguredBoolean(Params.BooleanParam param)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD